Skip to main content
GET
/
api
/
v1
/
event
/
{socialEventId}
GET /api/v1/event/{socialEventId}
curl --request GET \
  --url https://api.scoot.app/api/v1/event/{socialEventId} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.scoot.app/api/v1/event/{socialEventId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.scoot.app/api/v1/event/{socialEventId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "socialEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "eventLink": "<string>",
  "eventColor": "<string>",
  "validateParticipants": true,
  "startDateTime": "2023-11-07T05:31:56Z",
  "endDateTime": "2023-11-07T05:31:56Z",
  "socialRoomSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "logoImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "logoImageURI": "<string>",
  "user": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "firstName": "<string>",
    "middleName": "<string>",
    "lastName": "<string>",
    "emailAddress": "<string>",
    "emailVerified": true,
    "preload": true,
    "mobilePhone": "<string>",
    "mobilePhoneVerified": true,
    "mobilePhoneVerifiedWeb": true,
    "profileId": "<string>",
    "profileImageURI": "<string>",
    "profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "profileImageBackground": "<string>",
    "timeZone": "<string>",
    "registeredDateTime": "2023-11-07T05:31:56Z",
    "active": true,
    "actedAs": true
  }
}
Retrieves detailed information about a specific Scootaverse event by ID.

Authorizations

X-API-Key
string
header
required

Path Parameters

socialEventId
string<uuid>
required

Response

200 - application/json

OK

socialEventId
string<uuid>
name
string
description
string
eventColor
string
registrationStatus
enum<string>
Available options:
NOT_CREATED,
LIVE,
PAUSED,
CLOSED
validateParticipants
boolean
startDateTime
string<date-time>
endDateTime
string<date-time>
socialRoomSetId
string<uuid>
logoImageId
string<uuid>
logoImageURI
string
user
object